"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-empty",
  props: {
    mode: null,
    text: null,
    height: null,
    iconSize: null,
    textSize: null,
    baseStyle: null,
    iconName: null
  },
  setup(__props) {
    const props = __props;
    const baseStyle = {
      height: props.height || "30vh",
      ...props.baseStyle
    };
    return (_ctx, _cache) => {
      return {
        a: `/static/images/${(props == null ? void 0 : props.iconName) || "empty_icon"}.png`,
        b: common_vendor.t((props == null ? void 0 : props.text) || "暂无数据"),
        c: common_vendor.s(baseStyle)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9e2a467e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-empty/hs-empty.vue"]]);
wx.createComponent(Component);
